JavaSamplerContext (Apache JMeter dist API)
Description: declaration: package: org.apache.jmeter.protocol.java.sampler, class: JavaSamplerContext

Package org.apache.jmeter.protocol.java.sampler

# Class JavaSamplerContext

java.lang.Object
org.apache.jmeter.protocol.java.sampler.JavaSamplerContext

public class JavaSamplerContext extends Object
JavaSamplerContext is used to provide context information to a JavaSamplerClient implementation. This currently consists of the initialization parameters which were specified in the GUI. Additional data may be accessible through JavaSamplerContext in the future.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `JavaSamplerContext(Arguments args)`
  Create a new JavaSampler with the specified initialization parameters.

- ## Method Summary

  Modifier and Type
  Method
  Description
  `boolean`
  `containsParameter(String name)`
  Determine whether or not a value has been specified for the parameter with this name.
  `int`
  `getIntParameter(String name)`
  Get the value of a specified parameter as an integer.
  `int`
  `getIntParameter(String name, int defaultValue)`
  Get the value of a specified parameter as an integer, or return the specified default value if the value was not specified or is not an integer.
  `JMeterContext`
  `getJMeterContext()`
  Returns `JMeterContext` for the current thread.
  `final Properties`
  `getJMeterProperties()`
  Returns JMeter properties.
  `final JMeterVariables`
  `getJMeterVariables()`
  Returns `JMeterVariables` for the current thread.
  `long`
  `getLongParameter(String name)`
  Get the value of a specified parameter as a long.
  `long`
  `getLongParameter(String name, long defaultValue)`
  Get the value of a specified parameter as along, or return the specified default value if the value was not specified or is not a long.
  `String`
  `getParameter(String name)`
  Get the value of a specific parameter as a String, or null if the value was not specified.
  `String`
  `getParameter(String name, String defaultValue)`
  Get the value of a specified parameter as a String, or return the specified default value if the value was not specified.
  `Iterator<String>`
  `getParameterNamesIterator()`
  Get an iterator of the parameter names.

  ### Methods inherited from class java.lang.Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### JavaSamplerContext

    public JavaSamplerContext(Arguments args)
    Create a new JavaSampler with the specified initialization parameters.
    Parameters:
      `args` - the initialization parameters.

- ## Method Details

  - ### containsParameter

    public boolean containsParameter(String name)
    Determine whether or not a value has been specified for the parameter with this name.
    Parameters:
      `name` - the name of the parameter to test
    Returns:
      true if the parameter value has been specified, false otherwise.

  - ### getParameterNamesIterator

    public Iterator<String> getParameterNamesIterator()
    Get an iterator of the parameter names. Each entry in the Iterator is a String.
    Returns:
      an Iterator of Strings listing the names of the parameters which have been specified for this test.

  - ### getParameter

    public String getParameter(String name)
    Get the value of a specific parameter as a String, or null if the value was not specified.
    Parameters:
      `name` - the name of the parameter whose value should be retrieved
    Returns:
      the value of the parameter, or null if the value was not specified

  - ### getParameter

    public String getParameter(String name, String defaultValue)
    Get the value of a specified parameter as a String, or return the specified default value if the value was not specified.
    Parameters:
      `name` - the name of the parameter whose value should be retrieved
      `defaultValue` - the default value to return if the value of this parameter was not specified
    Returns:
      the value of the parameter, or the default value if the parameter was not specified

  - ### getIntParameter

    public int getIntParameter(String name) throws NumberFormatException
    Get the value of a specified parameter as an integer. An exception will be thrown if the parameter is not specified or if it is not an integer. The value may be specified in decimal, hexadecimal, or octal, as defined by Integer.decode().
    Parameters:
      `name` - the name of the parameter whose value should be retrieved
    Returns:
      the value of the parameter
    Throws:
      `NumberFormatException` - if the parameter is not specified or is not an integer
    See Also:
      - `Integer.decode(java.lang.String)`

  - ### getIntParameter

    public int getIntParameter(String name, int defaultValue)
    Get the value of a specified parameter as an integer, or return the specified default value if the value was not specified or is not an integer. A warning will be logged if the value is not an integer. The value may be specified in decimal, hexadecimal, or octal, as defined by Integer.decode().
    Parameters:
      `name` - the name of the parameter whose value should be retrieved
      `defaultValue` - the default value to return if the value of this parameter was not specified
    Returns:
      the value of the parameter, or the default value if the parameter was not specified
    See Also:
      - `Integer.decode(java.lang.String)`

  - ### getLongParameter

    public long getLongParameter(String name) throws NumberFormatException
    Get the value of a specified parameter as a long. An exception will be thrown if the parameter is not specified or if it is not a long. The value may be specified in decimal, hexadecimal, or octal, as defined by Long.decode().
    Parameters:
      `name` - the name of the parameter whose value should be retrieved
    Returns:
      the value of the parameter
    Throws:
      `NumberFormatException` - if the parameter is not specified or is not a long
    See Also:
      - `Long.decode(String)`

  - ### getLongParameter

    public long getLongParameter(String name, long defaultValue)
    Get the value of a specified parameter as along, or return the specified default value if the value was not specified or is not a long. A warning will be logged if the value is not a long. The value may be specified in decimal, hexadecimal, or octal, as defined by Long.decode().
    Parameters:
      `name` - the name of the parameter whose value should be retrieved
      `defaultValue` - the default value to return if the value of this parameter was not specified
    Returns:
      the value of the parameter, or the default value if the parameter was not specified
    See Also:
      - `Long.decode(String)`

  - ### getJMeterContext

    public JMeterContext getJMeterContext()
    Returns `JMeterContext` for the current thread.
    Returns:
      `JMeterContext` for the current thread

  - ### getJMeterVariables

    public final JMeterVariables getJMeterVariables()
    Returns `JMeterVariables` for the current thread.
    Returns:
      `JMeterVariables` for the current thread.

  - ### getJMeterProperties

    public final Properties getJMeterProperties()
    Returns JMeter properties.
    Returns:
      `Properties` JMeter properties